Trunk Queues
Trunk queues usually represent call queues or hunt groups in your phone system.
List trunk queues in a trunk
Lists all trunk queues for a given trunk.
This endpoint supports paging. By default the API will return 100 queues, configurable up to a maximum of 1000 trunk's queues at a time. If the result from a previous call includes a next value in the result set you can use the value returned as the next parameter in the query string to retrieve the next page of results.
path Parameters
trunkIdThe trunk ID
query Parameters
limitThe number of objects fetched per request. Default to 100, maximum is 1000
nextOptional next token for object pagination
externalIdThe external ID of the trunk queue
Headers
AuthorizationAuthorization header bearing the access token
List trunk queues in a trunk › Responses
Trunk queues
Update a trunk queue using external ID
Update a trunk queue in the specified trunk by its external ID.
Updating all trunk queues in the specified trunk is currently not supported.
path Parameters
trunkIdThe trunk ID
Headers
AuthorizationAuthorization header bearing the access token
Update a trunk queue using external ID › Request Body optional
externalIdThe external ID of the queue to update
descriptionThe queue's description
nameThe queue's name
Update a trunk queue using external ID › Responses
Successfully updated trunk queue
displayNameThe display name of this directory entry.
extensionThe queue's extension
externalIdThe external ID of the queue
idThe ID of the queue
nameThe queue's name
sipAddressThe queue's address (SIP)
trunkIdThe trunk ID that the queue belongs to
typedescriptionThe queue's description
twimlRedirectUrlRedirecting an inbound Twilio call to this target url will transfer the call to this entry. Use this URL to send a call to Spoke from Twilio Studio, Flex or your own TwiML application.
You can add additional parameters to this url to control how the call is handled by Spoke. See Routing Twilio Calls into Spoke for more information.
Add a new trunk queue to a trunk
Creates a new trunk queue in the specified trunk.
path Parameters
trunkIdThe trunk ID
Headers
AuthorizationAuthorization header bearing the access token
Add a new trunk queue to a trunk › Request Body optional
extensionThe queue's extension
externalIdThe external ID of the queue
nameThe queue's name
descriptionThe queue's description
Add a new trunk queue to a trunk › Responses
Successfully created trunk queue
displayNameThe display name of this directory entry.
extensionThe queue's extension
externalIdThe external ID of the queue
idThe ID of the queue
nameThe queue's name
sipAddressThe queue's address (SIP)
trunkIdThe trunk ID that the queue belongs to
typedescriptionThe queue's description
twimlRedirectUrlRedirecting an inbound Twilio call to this target url will transfer the call to this entry. Use this URL to send a call to Spoke from Twilio Studio, Flex or your own TwiML application.
You can add additional parameters to this url to control how the call is handled by Spoke. See Routing Twilio Calls into Spoke for more information.
Delete a trunk queue using external ID.
Delete a trunk queue in the specified trunk.
Deleting all trunk queues in the specified trunk is currently not supported.
path Parameters
trunkIdThe trunk ID
query Parameters
externalIdThe external ID of the trunk queue
Headers
AuthorizationAuthorization header bearing the access token
Delete a trunk queue using external ID. › Responses
Successfully deleted trunk queue
Get a trunk queue
Retrieve a trunk queue resource, and its data.
path Parameters
trunkIdThe trunk ID
trunkQueueIdThe trunk's queue ID
Headers
AuthorizationAuthorization header bearing the access token
Get a trunk queue › Responses
Trunk queue
displayNameThe display name of this directory entry.
extensionThe queue's extension
externalIdThe external ID of the queue
idThe ID of the queue
nameThe queue's name
sipAddressThe queue's address (SIP)
trunkIdThe trunk ID that the queue belongs to
typedescriptionThe queue's description
twimlRedirectUrlRedirecting an inbound Twilio call to this target url will transfer the call to this entry. Use this URL to send a call to Spoke from Twilio Studio, Flex or your own TwiML application.
You can add additional parameters to this url to control how the call is handled by Spoke. See Routing Twilio Calls into Spoke for more information.
Update a trunk queue
Update a trunk queue in the specified trunk.
path Parameters
trunkIdThe trunk ID
trunkQueueIdThe trunk's queue ID
Headers
AuthorizationAuthorization header bearing the access token
Update a trunk queue › Request Body optional
descriptionThe queue's description
nameThe queue's name
Update a trunk queue › Responses
Successfully updated trunk queue
displayNameThe display name of this directory entry.
extensionThe queue's extension
externalIdThe external ID of the queue
idThe ID of the queue
nameThe queue's name
sipAddressThe queue's address (SIP)
trunkIdThe trunk ID that the queue belongs to
typedescriptionThe queue's description
twimlRedirectUrlRedirecting an inbound Twilio call to this target url will transfer the call to this entry. Use this URL to send a call to Spoke from Twilio Studio, Flex or your own TwiML application.
You can add additional parameters to this url to control how the call is handled by Spoke. See Routing Twilio Calls into Spoke for more information.
Delete a trunk queue
Delete a trunk queue in the specified trunk.
path Parameters
trunkIdThe trunk ID
trunkQueueIdThe trunk's queue ID
Headers
AuthorizationAuthorization header bearing the access token
Delete a trunk queue › Responses
Successfully deleted trunk queue